%global _empty_manifest_terminate_build 0
%global pypi_name pure-sasl

Summary:        Pure Python client SASL implementation
Name:           python-%{pypi_name}
Version:        0.6.2
Release:        3%{?dist}
License:        MIT
URL:            http://github.com/thobbs/%{pypi_name}
Source0:        %{pypi_source}

BuildArch:      noarch

%description
%{pypi_name} is a pure python client-side SASL implementation.
At the moment, it supports the following mechanisms: ANONYMOUS, PLAIN, EXTERNAL, CRAM-MD5, DIGEST-MD5, and GSSAPI. Support for other mechanisms may be added in the future. Only GSSAPI supports a QOP higher than auth. Always use TLS!
Both Python 2 and Python 3 are supported.


%package -n python3-%{pypi_name}
Summary:        Pure Python client SASL implementation
BuildRequires:  python3-devel python3-setuptools python3-pbr
BuildRequires:  python3-pip python3-wheel python3-kerberos
Requires:       python3-kerberos

%description -n python3-%{pypi_name}
%{pypi_name} is a pure python client-side SASL implementation.
At the moment, it supports the following mechanisms: ANONYMOUS, PLAIN, EXTERNAL, CRAM-MD5, DIGEST-MD5, and GSSAPI. Support for other mechanisms may be added in the future. Only GSSAPI supports a QOP higher than auth. Always use TLS!
Both Python 2 and Python 3 are supported.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build


%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%{python3_sitelib}/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> - 0.6.2-1
- initial build
